# Uses of Interface
com.databricks.jdbc.api.impl.IExecutionResult

Packages that use IExecutionResult
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.volume

## Uses of IExecutionResult in com.databricks.jdbc.api.impl

Classes in com.databricks.jdbc.api.impl that implement IExecutionResult
Modifier and Type
Class
Description
`class`
`InlineJsonResult`
`class`
`LazyThriftResult`
Constructors in com.databricks.jdbc.api.impl with parameters of type IExecutionResult
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, StatementType statementType, IDatabricksStatementInternal parentStatement, IExecutionResult executionResult, DatabricksResultSetMetaData resultSetMetaData, boolean complexDatatypeSupport)`

## Uses of IExecutionResult in com.databricks.jdbc.api.impl.arrow

Classes in com.databricks.jdbc.api.impl.arrow that implement IExecutionResult
Modifier and Type
Class
Description
`class`
`ArrowStreamResult`
Result container for Arrow-based query results.

## Uses of IExecutionResult in com.databricks.jdbc.api.impl.volume

Classes in com.databricks.jdbc.api.impl.volume that implement IExecutionResult
Modifier and Type
Class
Description
`class`
`VolumeOperationResult`
Class to handle the result of a volume operation
Constructors in com.databricks.jdbc.api.impl.volume with parameters of type IExecutionResult
Modifier
Constructor
Description
``
`VolumeOperationResult(long totalRows, long totalColumns, IDatabricksSession session, IExecutionResult resultHandler, IDatabricksStatementInternal statement)`